#ifndef _JPG_TO_MJPEGTOOLS_YUV_PROTO_H_
#define _JPG_TO_MJPEGTOOLS_YUV_PROTO_H_

/*
jpg_to_mjpegtools_yuv:  display and motion detection for D-Link DCS-900 internet webcam.

jpg_to_mjpegtools_yuv is registered Copyright (C) 2008 and later <Jan Panteltje>
email: panteltje@yahoo.com

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

extern char *strsave(char *s);
extern int print_usage();
extern int process_jpeg_buffer(int argc, char **argv);
extern int main(int argc, char **argv);

extern void putimage(int xsize, int ysize);
extern int openwin(int argc, char *argv[], int xsize, int ysize);
extern char *getbuf(void);
extern void closewin(void);
extern int wingetdepth(void);
extern int get_x11_bpp();
extern int resize_window(int xsize, int ysize);

//extern void my_error_exit (j_common_ptr cinfo);




#endif // _JPG_TO_MJPEGTOOLS_YUV_PROTO_H_

